Table of Contents

Class: Logger | Twisted-0.17.4/twisted/python/log.py
--- | ---

This represents a class which may `own` a log. Used by subclassing.

Methods |
--- | ---
__prefix log logPrefix
| __prefix

    __prefix ( self )

| log

    log ( self,  bytes )

| logPrefix

    logPrefix ( self )

Override this method to insert custom logging behavior. Its return value will be inserted in front of every line. It may be called more times than the number of output lines.

Table of Contents

This document was automatically generated on Sat Apr 20 01:31:23 2002 by HappyDoc version 2.0